Loading...
Searching...
No Matches
gx_child_process::GxChildProcs Class Reference

`#include <gx_child_process.h>`

## Public Member Functions

| ~GxChildProcs ()
bool | killall ()
bool | kill (string name)
GxChild * | find (string name)
GxChild * | launch (string name, const char *const args[], int killsignal)
GxChild * | launch (string name, list< string > args, int killsignal)

## Private Attributes

list< GxChild * > | children

## Friends

void | gx_sigchld_handler ()

## Detailed Description

Definition at line 51 of file gx_child_process.h.

## Constructor & Destructor Documentation

## ~GxChildProcs()

gx_child_process::GxChildProcs::~GxChildProcs | ( |  | ) |

## Member Function Documentation

## find()

GxChild * gx_child_process::GxChildProcs::find | ( | string | name | ) |

## kill()

bool gx_child_process::GxChildProcs::kill | ( | string | name | ) |

## killall()

bool gx_child_process::GxChildProcs::killall | ( |  | ) |

## launch() [1/2]

GxChild * gx_child_process::GxChildProcs::launch | ( | string | name,
|  | const char *const | args[],
|  | int | killsignal )

## launch() [2/2]

GxChild * gx_child_process::GxChildProcs::launch | ( | string | name,
|  | list< string > | args,
|  | int | killsignal )

## Friends And Related Symbol Documentation

## gx_sigchld_handler

void gx_sigchld_handler | ( |  | ) |

friend

## Member Data Documentation

## children

list<GxChild*> gx_child_process::GxChildProcs::children

private

Definition at line 53 of file gx_child_process.h.

The documentation for this class was generated from the following file:

- src/headers/gx_child_process.h